---
name: Pull Request
description: Propose changes to the Smart Schema codebase

---

## Description

Please include a summary of the change and which issue is fixed or feature is implemented. Please also include relevant motivation and context. List any dependencies that are required for this change.

Fixes # (issue)
Implements # (issue, if a feature request)

## Type of change

Please delete options that are not relevant.

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Refactor (non-breaking change that neither fixes a bug nor adds a feature)
- [ ] Performance improvement
- [ ] Test addition or update
- [ ] Other (please describe):

## How Has This Been Tested?

Please describe the tests that you ran to verify your changes. Provide instructions so we can reproduce. Please also list any relevant details for your test configuration.

- [ ] Test A
- [ ] Test B

**Test Configuration (if applicable):**
* OS: ...
* Python Version: ...
* Smart Schema Version: ...
* Dependencies: ...

## Checklist:

- [ ] My code follows the style guidelines of this project (ran `black .`, `flake8 .`, `isort .`)
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] My changes generate no new warnings
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] New and existing unit tests pass locally with my changes
- [ ] Any dependent changes have been merged and published in downstream modules
- [ ] I have checked my code and corrected any misspellings
- [ ] I have updated `CHANGELOG.md` (if applicable)

## Screenshots (if applicable)

If your PR includes UI changes or visual improvements, please add screenshots here.

## Additional comments

Add any other comments or context here. 