# Security Policy

## Supported Versions

We are committed to ensuring the security of `smart-schema`. Security updates and patches will be applied to the latest stable release. We encourage users to stay updated with the most recent version.

| Version | Supported          |
| ------- | ------------------ |
| Latest  | :white_check_mark: |
| < 1.0.0 | :x: (Best effort)  |

## Reporting a Vulnerability

The `smart-schema` team and community take all security vulnerabilities seriously. We appreciate your efforts to responsibly disclose your findings, and will make every effort to acknowledge your contributions.

To report a security vulnerability, please email us directly at [INSERT SECURITY CONTACT EMAIL ADDRESS]. **Please do not report security vulnerabilities through public GitHub issues.**

You should receive a response within 48 hours. If for some reason you do not, please follow up via email to ensure we received your original message.

In your report, please include the following information:

*   A clear description of the vulnerability.
*   The version of `smart-schema` affected.
*   Steps to reproduce the vulnerability.
*   The potential impact of the vulnerability.
*   Any known mitigations or workarounds.
*   Your name and affiliation (if any) for acknowledgment.

We will investigate all reported vulnerabilities and work with you to ensure they are addressed promptly. We may create a GitHub security advisory for the vulnerability once it has been confirmed and a fix is in progress or available.

Thank you for helping keep `smart-schema` secure. 